Creating Panels in CAD

Hey guys, I’m working on an interior for a new space for my company. We want to have CNC routed plywood panels that are mounted parallel to each other, and spaced evenly, to create wall texture / shelving over the kitchen counter area. Something similar to this:

Does anybody know of any good CAD tools or plugins to model something like this that could then populate the 2D patterns rather than the tremendous amount of hand work it would take to design each panel by itself? I’ve got SolidWorks, Fusion 360, Rhino (mac) and Blender in my CAD quiver.

[ Deleted ]

Thanks for the reply. I got that part. I was looking for something that could quickly export the 2D profile of each panel.

There’s not anything inside SW that can do this but I know for sure there are ways to do it with plugins such as SWOOD or CAMWorks or SPI Sheet Metal Works.

[ Deleted ]

Specifically, what format do you need for your router?

there is a solidworks tool called task scheduler. I’m not sure specifically how you would have to program it but i’ve used it for batch conversions and exports before

This was a freshmen CAD assignment that you can do in Rhino very easily. I don’t recall the exact tools since I haven’t touched Rhino in 14 years but it was similar to what Keno suggested:

1 - Build your wavy surface
2 - Intersect that surface with a block so you have effectively a “Solid”
3 - Use the Rhino cross section tools to project section curves at your desired spacing
4 - Take those section curves and use the make drawing tool to create a 2D outline of all of them from the side view.

Export that drawing to a .dwg or whatever your vendor needs.

We did this in college to create a laser cut version of the surface, but the output file was identical to what you need (except we did sections in both X & Y so you could intersect them into a mesh that supported itself).

Hope that helps.

I’d go a very similar route as Cyberdemon and Keno. Rhino is great for this sort of thing.

I’d really look into having some way to identify each piece and their direction (which way does the board go). Having a a stack of plywood with nothing labeled would be a nightmare.

Here would be my first crack at it. I’d try to automate as much as possible because it’ll be way too laborious to do this manually - especially when someone is going to inevitably ask for a change.

1 - Build your wave surface.
2 - Array a bunch of equally spaced planes.
3- I’d go through the trouble of putting text on each piece. You should be able to script this quite easily. This is just adding a loop to the basic text creation example Sample: Add Text [McNeel Wiki]. You’d also need to give each text object an object name that’s the same as their content.

import Rhino
import scriptcontext
import System.Guid
 
distanceBetweenPlanes=100
 
def AddAnnotationText():
    for num in range (0,10):
        pt = Rhino.Geometry.Point3d(0, 0, distanceBetweenPlanes*num)
        text = str(num)
        height = 2.0
        font = "Arial"
        plane = scriptcontext.doc.Views.ActiveView.ActiveViewport.ConstructionPlane()
        plane.Origin = pt
        id = scriptcontext.doc.Objects.AddText(text, plane, height, font, False, False)
    if id!=System.Guid.Empty:
        scriptcontext.doc.Views.Redraw()
        return Rhino.Commands.Result.Success
    return Rhino.Commands.Result.Failure
 
 
if __name__=="__main__":
    AddAnnotationText()

4 - Explode the text objects to get curves. They should inherit their object name from what you had given them as text.
4 - Intersect the planes with the wavy surface to get a bunch of outline curves.
5- Run a script to give each curve an object name. Auto Label Objects with Script [McNeel Wiki] would be a good starting point. This way you’ll be able to have the object name match up between the text curves and the cutting outlines.
6 - This shouldn’t be too hard but you’ll need to write a script to do the export. Loop through all the curves, select the objects (outlines curves+ text curves) by their object name and export them to a dwg or AI file with the same name.

Hopefully this can help you out. Post some pictures when it’s up!

Getting someone to write the macro for you and remaining in Rhino is probably your best bet really.

You should consider how many panels you’ll actually need to decide if it’s worth the amount of work for trying to automate the process vs just doing it manually.

I did this all in college without Macros for a piece that was probably about 60 sections and the existing rhino tools made it rather easy to do.

I think I did a project that required similar drawings a few months ago in SolidWorks. I just did it manually in a morning.

Thanks for all the suggestions guys! Louis Leblanc, I’ve never used scripts before, but you’ve laid it out pretty well, so I’ll give it a try. I think I should be able to get something to work. It’ll be a while before its up, We’re still in the demolition / cleaning out stages of an old Transmission shop. But I’ll revitalize this thread and post pictures in a month and a half or so.

http://www.123dapp.com/make

123D make by autodesk. Just make a form in rhino and import, 123d make does the rest and even lays it flat out for you

WOW! I’ve been looking for a tool like that for a while. definitely going to give that a shot.

[ Deleted ]

this…
super easy in solidworks (intersect tool)

if you set it up as structural members, you can verify if there are any duplicates… allows BOM management to be simplified.

Glad I could help!